package net.nigreon.blegps

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.support.v4.content.ContextCompat
import android.support.v4.content.LocalBroadcastManager
import android.util.Log

class TaskerReceiver: BroadcastReceiver() {
    private val LOG_TAG = "TaskerReceiver"
    override fun onReceive(context: Context, intent: Intent) {
        val screen = intent.extras.getBoolean("screen")
        Log.v(LOG_TAG, "Receive Tasker $screen")


        val serviceIntent = Intent(context, BLEMockLocationService::class.java)
        serviceIntent.action=ServicesConstants.MOCKSERVICEACTION.TASKER_ACTION

        serviceIntent.putExtras(Intent(ServicesConstants.BROADCAST_FILTER.FILTERTASKER).putExtra(ServicesConstants.BROADCAST_KEY.KEYBOOST, screen))
        //serviceIntent.putExtras(intent)

        //LocalBroadcastManager.getInstance(context).sendBroadcast(
        //    Intent(ServicesConstants.BROADCAST_FILTER.FILTERTASKER).putExtra(ServicesConstants.BROADCAST_KEY.KEYBOOST, screen))
        ContextCompat.startForegroundService(context, serviceIntent)

    }
}